AuthSchemes (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.config
Class AuthSchemes

    java.lang.Object
      org.apache.http.client.config.AuthSchemes

    public final class AuthSchemes

extends Object

Standard authentication schemes supported by HttpClient.

Since:
  4.3

Field Summary
`static String` | `BASIC` Basic authentication scheme as defined in RFC 2617 (considered inherently insecure, but most widely supported).
`static String` | `CREDSSP` CredSSP authentication scheme defined in [MS-CSSP].
`static String` | `DIGEST` Digest authentication scheme as defined in RFC 2617.
`static String` | `KERBEROS` Kerberos authentication scheme as defined in RFC 4120 (considered to be the most secure among currently supported authentication schemes).
`static String` | `NTLM` The NTLM authentication scheme is a proprietary Microsoft Windows authentication protocol as defined in [MS-NLMP].
`static String` | `SPNEGO` SPNEGO authentication scheme as defined in RFC 4559 and RFC 4178 (considered to be the most secure among currently supported authentication schemes if Kerberos is selected).

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BASIC

    public static final String BASIC

  Basic authentication scheme as defined in RFC 2617 (considered inherently insecure, but most widely supported).

  See Also:
    Constant Field Values

### DIGEST

    public static final String DIGEST

  Digest authentication scheme as defined in RFC 2617.

  See Also:
    Constant Field Values

### NTLM

    public static final String NTLM

  The NTLM authentication scheme is a proprietary Microsoft Windows authentication protocol as defined in [MS-NLMP].

  See Also:
    Constant Field Values

### SPNEGO

    public static final String SPNEGO

  SPNEGO authentication scheme as defined in RFC 4559 and RFC 4178 (considered to be the most secure among currently supported authentication schemes if Kerberos is selected).

  See Also:
    Constant Field Values

### KERBEROS

    public static final String KERBEROS

  Kerberos authentication scheme as defined in RFC 4120 (considered to be the most secure among currently supported authentication schemes).

  See Also:
    Constant Field Values

### CREDSSP

    public static final String CREDSSP

  CredSSP authentication scheme defined in [MS-CSSP].

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.